Package org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

# Class RetryOnClassServiceOverrideClassLevel

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnClassService
org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.RetryOnClassServiceOverrideClassLevel

All Implemented Interfaces:
  `RetryService`

@RequestScoped @Retry(maxRetries=4) public class RetryOnClassServiceOverrideClassLevel extends BaseRetryOnClassService

## Constructor Summary

Constructors
Constructor
Description
`RetryOnClassServiceOverrideClassLevel()`

## Method Summary

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnClassService

`delegate, getNumberOfServiceCalls, service`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryOnClassServiceOverrideClassLevel

public RetryOnClassServiceOverrideClassLevel()